#include <bits/stdc++.h>

using namespace std;

int main() {
    int n, i;
    scanf("%d", &n);

    int sum = 0, last, cur;

    scanf("%d", &last);
    for (i = 1; i < n; ++i) {
        scanf("%d", &cur);
        sum += abs(last - cur);
        last = cur;
    }
    scanf("%d", &last);
    for (i = 1; i < n; ++i) {
        scanf("%d", &cur);
        sum += abs(last - cur);
        last = cur;
    }
    printf("%d", sum);

    return 0;
}